Topic: mysql-server 5.5.29 et php 5.4.10

Bonjour Remi,

J'ai actuellement un serveur de prod et un serveur de test que je souhaite conserver à l'identique. malheureusement j'ai récemment rajouté un package php pour ma plateforme de test qui mis à jour l'ensemble des lib php ainsi que mysql

PROD
php-mbstring-5.4.10-1.el5.remi
php-pdo-5.4.10-1.el5.remi
php-mcrypt-5.4.10-1.el5.remi
php-ldap-5.4.10-1.el5.remi
php-cli-5.4.10-1.el5.remi
php-5.4.10-1.el5.remi
php-xml-5.4.10-1.el5.remi
php-mysql-5.4.10-1.el5.remi
mysqlclient15-5.0.67-1.el5.remi
php-common-5.4.10-1.el5.remi
php-gd-5.4.10-1.el5.remi
php-pecl-sqlite-2.0.0-0.1.svn313074.el5.remi
mysql-5.5.29-1.el5.remi
mysql-libs-5.5.29-1.el5.remi
php-devel-5.4.10-1.el5.remi
mysql-server-5.5.29-1.el5.remi


TEST
php-common-5.4.20-1.el5.remi
php-ldap-5.4.20-1.el5.remi
php-bcmath-5.4.20-1.el5.remi
php-mcrypt-5.4.20-1.el5.remi
php-mbstring-5.4.20-1.el5.remi
php-5.4.20-1.el5.remi
php-php-gettext-1.0.11-4.el5.remi
php-tcpdf-dejavu-sans-fonts-6.0.033-1.el5.remi
php-pecl-sqlite-2.0.0-0.1.svn313074.el5.remi
php-cli-5.4.20-1.el5.remi
php-xml-5.4.20-1.el5.remi
php-recode-5.4.20-1.el5.remi
php-tidy-5.4.20-1.el5.remi
php-tcpdf-6.0.033-1.el5.remi
php-pear-1.4.9-8.el5
php-gd-5.4.20-1.el5.remi
php-pdo-5.4.20-1.el5.remi
php-devel-5.4.20-1.el5.remi
mysql-libs-5.5.33-1.el5.remi
mysqlclient15-5.0.67-1.el5.remi
mysql-5.5.33-1.el5.remi
mysql-server-5.5.33-1.el5.remi

Le but est que je downgrade le TEST au niveau de la PROD pour conserver une archi identique (la maj de la PROD vers TEST n'étant pas à l'ordre du jour ... sauf contrainte forte)

D'avance merci !

Re: mysql-server 5.5.29 et php 5.4.10

Merci de lire http://forums.famillecollet.com/viewtopic.php?id=1966
Et de répondre à toutes les questions

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

3 (edited by Na! 2013-09-27 11:22:17)

Re: mysql-server 5.5.29 et php 5.4.10

Mea Culpa, j'ai posté trop rapidement

Il s'agit d'une CentOS 5.9 x86_64

Et il me faudrait donc les packages

php-common-5.4.10-1.el5.remi
php-ldap-5.4.10-1.el5.remi
php-bcmath-5.4.10-1.el5.remi
php-mcrypt-5.4.10-1.el5.remi
php-mbstring-5.4.10-1.el5.remi
php-5.4.10-1.el5.remi
php-cli-5.4.10-1.el5.remi
php-xml-5.4.10-1.el5.remi
php-recode-5.4.10-1.el5.remi
php-tidy-5.4.10-1.el5.remi
php-gd-5.4.10-1.el5.remi
php-pdo-5.4.10-1.el5.remi
php-devel-5.4.10-1.el5.remi

mysql-libs-5.5.29-1.el5.remi
mysql-5.5.29-1.el5.remi
mysql-server-5.5.29-1.el5.remi

Merci !

Re: mysql-server 5.5.29 et php 5.4.10

La question la plus importante est la première qui est sans réponse.

As-tu bien compris qu'il s'agit de version anciennes, obsolètes, non maintenues, non sécurisées (plusieurs failles de sécurité ont été corrigées dans les nouvelles versions), et que donc tu assumes les conséquence de cette demande, en contradiction avec les objectifs de ce dépot ?

Remi.

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: mysql-server 5.5.29 et php 5.4.10

Oui cela je l'ai bien compris et j'assume tout. Pas de crainte à avoir de ton côté.
(Je ne vais pas t'apprendre non plus que la réalité en entreprise n'est malheureusement pas toujours conforme aux bonnes pratiques...)

Re: mysql-server 5.5.29 et php 5.4.10

Temporairement disponible dans le dossier TEMP

Merci de considérer l'utilisation du bouton "Merci" (en haut à droite) afin de permettre à ce type de requête de continuer a être possible.

Remi.

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: mysql-server 5.5.29 et php 5.4.10

Merci beaucoup pour ton aide et bonne continuation !